Essence Identity Provider API
OAuth 2.0 Authorization Server and OpenID Connect Provider
Generated from the IdP service's code at build time (api-specs/generated/IdP/Essence.Identity.IdP.Api.json) and drift-checked in CI. It describes what the code registers, which is not the same as what any one deployment has routed.
AccountLinks
/api/v1/account-linksAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
LinkedAccountDto[]ProblemDetails/api/v1/account-linksAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
LinkAccountRequestasapplication/*+json,application/json,text/json
Responses
AccountLinkResultAccountLinkResultProblemDetailsProblemDetailsAccountLinkResult/api/v1/account-links/users/{userId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
userId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
LinkedAccountDto[]/api/v1/account-links/{linkId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
linkId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
LinkedAccountDtoProblemDetails/api/v1/account-links/{linkId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
linkId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
ProblemDetails/api/v1/account-links/{linkId}/verifyAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
linkId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
LinkedAccountDtoProblemDetailsProblemDetailsAccreditedIssuers
/api/v1/accredited-issuersAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
scheme | query | string | no | — |
Request body
No request body.
Responses
AccreditedIssuerDto[]/api/v1/accredited-issuersAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
AccreditBodyRequestasapplication/*+json,application/json,text/json
Responses
AccreditedIssuerDtoProblemDetailsProblemDetails/api/v1/accredited-issuers/{bodyId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
scheme | query | string | no | — |
Request body
No request body.
Responses
AccreditationRecordDtoProblemDetails/api/v1/accredited-issuers/{bodyId}/accreditationsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
Request body
No request body.
Responses
AccreditedIssuerDto[]/api/v1/accredited-issuers/{bodyId}/keysAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
scheme | query | string | no | — |
Request body
Not marked as required in the document.
RegisterIssuerKeyRequestasapplication/*+json,application/json,text/json
Responses
AccreditedIssuerDtoProblemDetailsProblemDetails/api/v1/accredited-issuers/{bodyId}/keys/rotateAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
scheme | query | string | no | — |
Request body
Not marked as required in the document.
RotateIssuerKeyRequestasapplication/*+json,application/json,text/json
Responses
AccreditedIssuerDtoProblemDetailsProblemDetails/api/v1/accredited-issuers/{bodyId}/keys/{keyId}/retireAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
keyId | path | string | yes | — |
scheme | query | string | no | — |
Request body
Not marked as required in the document.
RetireIssuerKeyRequestasapplication/*+json,application/json,text/json
Responses
AccreditedIssuerDtoProblemDetailsProblemDetails/api/v1/accredited-issuers/{bodyId}/reinstateAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
scheme | query | string | no | — |
Request body
Not marked as required in the document.
AccreditationStatusChangeRequestasapplication/*+json,application/json,text/json
Responses
AccreditedIssuerDtoProblemDetailsProblemDetails/api/v1/accredited-issuers/{bodyId}/routesAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
scheme | query | string | no | — |
Request body
Not marked as required in the document.
DesignateRouteRequestasapplication/*+json,application/json,text/json
Responses
AccreditedIssuerDtoProblemDetailsProblemDetails/api/v1/accredited-issuers/{bodyId}/routes/{route}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
route | path | string | yes | — |
scheme | query | string | no | — |
Request body
No request body.
Responses
AccreditedIssuerDtoProblemDetailsProblemDetails/api/v1/accredited-issuers/{bodyId}/suspendAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
scheme | query | string | no | — |
Request body
Not marked as required in the document.
AccreditationStatusChangeRequestasapplication/*+json,application/json,text/json
Responses
AccreditedIssuerDtoProblemDetailsProblemDetails/api/v1/accredited-issuers/{bodyId}/withdrawAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
bodyId | path | string | yes | — |
scheme | query | string | no | — |
Request body
Not marked as required in the document.
AccreditationStatusChangeRequestasapplication/*+json,application/json,text/json
Responses
AccreditedIssuerDtoProblemDetailsProblemDetailsAuthorization
/connect/tokenAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Clients
/api/v1/clientsAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
CreateClientRequestasapplication/*+json,application/json,text/json
Responses
ClientDtoProblemDetailsProblemDetailsProblemDetails/api/v1/clients/by-client-id/{clientId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
clientId | path | string | yes | — |
Request body
No request body.
Responses
ClientDtoProblemDetailsProblemDetailsProblemDetails/api/v1/clients/postureAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
oid4VcOnly | query | boolean | no | — |
pageNumber | query | integer (int32) | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
ProblemDetailsProblemDetailsProblemDetails/api/v1/clients/{clientId}/secretsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
clientId | path | string | yes | — |
Request body
Not marked as required in the document.
AddClientSecretRequestasapplication/*+json,application/json,text/json
Responses
ClientSecretResponseProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/clients/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
ClientDtoProblemDetailsProblemDetailsProblemDetailsConsent
/api/v1/ConsentAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
GrantConsentRequestasapplication/*+json,application/json,text/json
Responses
ConsentDtoProblemDetailsProblemDetailsCredentials
/api/v1/Credentials/issueAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
IssueCredentialRequestasapplication/*+json,application/json,text/json
Responses
IssuedCredentialDtoProblemDetailsProblemDetailsProblemDetails/api/v1/Credentials/issuedAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
activeOnly | query | boolean | no | — |
Request body
No request body.
Responses
IssuedCredentialDto[]ProblemDetails/api/v1/Credentials/issued/{id}/vault-documentAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
RecordCredentialVaultDocumentRequestasapplication/*+json,application/json,text/json
Responses
IssuedCredentialDtoProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/Credentials/issuer/rotate-keyAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
RotateVcIssuerKeyRequestasapplication/*+json,application/json,text/json
Responses
VcIssuerKeyRotationDtoProblemDetailsProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/Credentials/status/{listId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
unspecifiedProblemDetails/api/v1/Credentials/verifyAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
VerifyCredentialRequestasapplication/*+json,application/json,text/json
Responses
VerifyCredentialResultDtoProblemDetails/api/v1/Credentials/{id}/revokeAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
RevokeCredentialRequestasapplication/*+json,application/json,text/json
Responses
ProblemDetailsProblemDetailsProblemDetailsProblemDetailsDomainOwnership
/api/v1/clients/{clientId}/domain-ownership/challengesAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
clientId | path | string | yes | — |
Request body
No request body.
Responses
DomainOwnershipChallengeDto[]/api/v1/clients/{clientId}/domain-ownership/challengesAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
clientId | path | string | yes | — |
Request body
Not marked as required in the document.
StartDomainOwnershipChallengeRequestasapplication/*+json,application/json,text/json
Responses
DomainOwnershipChallengeDtoProblemDetailsProblemDetails/api/v1/clients/{clientId}/domain-ownership/challenges/{challengeId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
clientId | path | string | yes | — |
challengeId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
DomainOwnershipChallengeDtoProblemDetails/api/v1/clients/{clientId}/domain-ownership/challenges/{challengeId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
clientId | path | string | yes | — |
challengeId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
RevokeDomainOwnershipRequestasapplication/*+json,application/json,text/json
Responses
DomainOwnershipChallengeDtoProblemDetails/api/v1/clients/{clientId}/domain-ownership/challenges/{challengeId}/checkAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
clientId | path | string | yes | — |
challengeId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
DomainOwnershipChallengeDtoProblemDetails/api/v1/clients/{clientId}/domain-ownership/proofAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
clientId | path | string | yes | — |
domain | query | string | no | — |
Request body
No request body.
Responses
DomainOwnershipProofDtoProblemDetailsDvsRegisterSnapshot
/api/v1/oid4vc/dvs-register-snapshotAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
stringProblemDetailsIdentityBindingPolicies
/api/v1/identity-binding/policiesAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
MaterialChangePolicyDto[]/api/v1/identity-binding/policiesAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
CreateMaterialChangePolicyRequestDtoasapplication/*+json,application/json,text/json
Responses
MaterialChangePolicyDtoProblemDetailsProblemDetails/api/v1/identity-binding/policies/previewAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
PreviewMaterialChangePolicyRequestDtoasapplication/*+json,application/json,text/json
Responses
PolicyPreviewResultDtoProblemDetails/api/v1/identity-binding/policies/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
UpdateMaterialChangePolicyRequestDtoasapplication/*+json,application/json,text/json
Responses
MaterialChangePolicyDtoProblemDetailsProblemDetails/api/v1/identity-binding/policies/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
ProblemDetailsIdentityBindings
/api/v1/identity-binding/actions/{actionId}/retryAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
actionId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
LifecycleActionDtoProblemDetails/api/v1/identity-binding/bindingsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
state | query | string | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
IdentityBindingDtoCursorResult/api/v1/identity-binding/bindings/{id}/historyAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
LifecycleActionDtoCursorResultProblemDetails/api/v1/identity-binding/bindings/{id}/reinstateAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
ReinstateBindingRequestDtoasapplication/*+json,application/json,text/json
Responses
LifecycleActionDtoProblemDetailsProblemDetailsProblemDetails/api/v1/identity-binding/healthAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
BindingHealthDtoIdpAccountLinkReview
/api/v1/idp/account-links/reviewAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
LinkedAccountDto[]ProblemDetails/api/v1/idp/account-links/{linkId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
linkId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
ProblemDetailsProblemDetails/api/v1/idp/account-links/{linkId}/verifyAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
linkId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
ProblemDetailsProblemDetailsProblemDetailsProblemDetailsIdpConnections
/api/v1/idp-connectionsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
enabledOnly | query | boolean | no | — |
connectorType | query | string | no | — |
Request body
No request body.
Responses
IdpConnectionDto[]/api/v1/idp-connectionsAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
CreateIdpConnectionRequestasapplication/*+json,application/json,text/json
Responses
IdpConnectionDtoProblemDetails/api/v1/idp-connections/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
IdpConnectionDtoProblemDetails/api/v1/idp-connections/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
UpdateIdpConnectionRequestasapplication/*+json,application/json,text/json
Responses
IdpConnectionDtoProblemDetailsProblemDetails/api/v1/idp-connections/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
ProblemDetailsProblemDetails/api/v1/idp-connections/{id}/attribute-mappingsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
AttributeMappingDto[]ProblemDetails/api/v1/idp-connections/{id}/attribute-mappingsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
AttributeMappingDto[]asapplication/*+json,application/json,text/json
Responses
IdpConnectionDtoProblemDetailsProblemDetails/api/v1/idp-connections/{id}/testAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
TestIdpConnectionResponseProblemDetailsIdpFederation
/api/v1/idp/bindable-tenantsAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
BindableTenantDto[]/api/v1/idp/connectionsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
enabledOnly | query | boolean | no | — |
Request body
No request body.
Responses
IdpConnectionDto[]/api/v1/idp/connectionsAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
CreateIdpConnectionRequestasapplication/*+json,application/json,text/json
Responses
IdpConnectionDtoProblemDetailsProblemDetails/api/v1/idp/connections/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
IdpConnectionDtoProblemDetails/api/v1/idp/connections/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
UpdateIdpConnectionRequestasapplication/*+json,application/json,text/json
Responses
IdpConnectionDtoProblemDetailsProblemDetails/api/v1/idp/connections/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
ProblemDetailsProblemDetails/api/v1/idp/connections/{id}/attribute-mappingsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
AttributeMappingDto[]ProblemDetails/api/v1/idp/connections/{id}/attribute-mappingsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
AttributeMappingDto[]asapplication/*+json,application/json,text/json
Responses
IdpConnectionDtoProblemDetailsProblemDetails/api/v1/idp/connections/{id}/attribute-mappings/attestAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
AttestMappingsRequestasapplication/*+json,application/json,text/json
Responses
MappingAttestationDtoProblemDetailsProblemDetailsProblemDetails/api/v1/idp/connections/{id}/attribute-mappings/attestationAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
MappingAttestationDtoProblemDetails/api/v1/idp/connections/{id}/enforcementAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
EnforcementPolicyDtoProblemDetails/api/v1/idp/connections/{id}/enforcementAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
EnforcementPolicyInputasapplication/*+json,application/json,text/json
Responses
EnforcementPolicyDtoProblemDetailsProblemDetailsProblemDetails/api/v1/idp/connections/{id}/enforcement/enforceAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
EnforceSsoRequestasapplication/*+json,application/json,text/json
Responses
EnforcementPolicyDtoProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/idp/connections/{id}/enforcement/suspendAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
EnforcementPolicyDtoProblemDetailsProblemDetails/api/v1/idp/connections/{id}/tenant-bindingAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
IdpTenantBindingDtoProblemDetails/api/v1/idp/connections/{id}/tenant-bindingAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
BindIdpToTenantRequestasapplication/*+json,application/json,text/json
Responses
IdpTenantBindingDtoProblemDetailsProblemDetails/api/v1/idp/connections/{id}/testAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
TestIdpConnectionResponseProblemDetails/api/v1/idp/entitlementAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
IdpEntitlementDtoProblemDetailsProblemDetails/api/v1/idp/scim/configAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
ScimConfigDtoProblemDetailsProblemDetails/api/v1/idp/scim/configAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
ScimConfigInputDtoasapplication/*+json,application/json,text/json
Responses
ScimConfigDtoProblemDetailsProblemDetailsProblemDetails/api/v1/idp/scim/provisioning/lookupAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
email | query | string | no | — |
Request body
No request body.
Responses
UserProvisioningStatusDtoProblemDetailsProblemDetails/api/v1/idp/scim/provisioning/{userRef}/retryAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
userRef | path | string | yes | — |
Request body
No request body.
Responses
UserProvisioningStatusDtoProblemDetailsProblemDetailsProblemDetails/api/v1/idp/scim/tokenAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
ScimTokenIssuedDtoProblemDetailsProblemDetailsProblemDetailsIssuerCredentials
/api/v1/credentials/instances/{instanceId}/issuedAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
instanceId | path | string (uuid) | yes | — |
storage | query | string | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
IssuedCredentialDtoCursorResultProblemDetailsProblemDetailsProblemDetailsProblemDetailsNominatedCredentialWatches
/api/v1/credentials/nominated-watchesAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
activeOnly | query | boolean | no | — |
Request body
No request body.
Responses
NominatedCredentialWatchDto[]ProblemDetails/api/v1/credentials/nominated-watchesAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
CreateNominatedWatchRequestasapplication/*+json,application/json,text/json
Responses
NominatedCredentialWatchDtoProblemDetailsProblemDetails/api/v1/credentials/nominated-watches/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
reason | query | string | no | — |
Request body
No request body.
Responses
ProblemDetailsProblemDetailsProblemDetailsOpenId4VcConfiguration
/api/v1/oid4vc/status-list-healthAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
maxIssuers | query | integer (int32) | no | — |
Request body
No request body.
Responses
Oid4VcStatusListHealthDtoProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/credential-configurationsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
publishedOnly | query | boolean | no | — |
Request body
No request body.
Responses
ProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/credential-configurationsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
CreateOid4VcCredentialConfigurationRequestasapplication/*+json,application/json,text/json
Responses
Oid4VcCredentialConfigurationDtoProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/credential-configurations/{configurationRecordId}/publishAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
configurationRecordId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Oid4VcCredentialConfigurationDtoProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/credential-configurations/{configurationRecordId}/unpublishAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
configurationRecordId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
Oid4VcCredentialConfigurationDtoProblemDetails/api/v1/oid4vc/tenants/{tenantId}/credential-offersAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
MintCredentialOfferRequestasapplication/*+json,application/json,text/json
Responses
MintCredentialOfferResponseProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/credential-poolsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
credentialConfigurationId | query | string (uuid) | no | — |
includeRevoked | query | boolean | no | — |
cursor | query | string | no | — |
pageSize | query | integer (int32) | no | — |
Request body
No request body.
Responses
ProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/credential-pools/{poolId}/revokeAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
poolId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
RevokeCredentialPoolRequestasapplication/*+json,application/json,text/json
Responses
CredentialBatchPoolDtoProblemDetails/api/v1/oid4vc/tenants/{tenantId}/issuer-metadataAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
CredentialIssuerMetadataDtoProblemDetails/api/v1/oid4vc/tenants/{tenantId}/privacy-degradationAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
sinceUtc | query | string (date-time) | no | — |
Request body
No request body.
Responses
PrivacyDegradationRegisterDtoProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/privacy-degradation/exportAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
sinceUtc | query | string (date-time) | no | — |
Request body
No request body.
Responses
PrivacyDegradationExportDtoProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/privacy-degradation/raise-issuance-ceilingsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
RaiseIssuanceCeilingsRequestasapplication/*+json,application/json,text/json
Responses
RaiseIssuanceCeilingsResponseProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/query-templatesAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
includeRetired | query | boolean | no | — |
Request body
No request body.
Responses
DcqlQueryTemplateDto[]ProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/query-templatesAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
CreateDcqlQueryTemplateRequestasapplication/*+json,application/json,text/json
Responses
DcqlQueryTemplateDtoProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/query-templates/import/presentation-exchangeAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
ImportPresentationExchangeRequestasapplication/*+json,application/json,text/json
Responses
DcqlQueryTemplateDtoProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/query-templates/previewAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
PreviewDcqlQueryRequestasapplication/*+json,application/json,text/json
Responses
DcqlQueryPreviewResponseProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/query-templates/{templateId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
templateId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
DcqlQueryTemplateDtoProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/query-templates/{templateId}/nameAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
templateId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
RenameDcqlQueryTemplateRequestasapplication/*+json,application/json,text/json
Responses
DcqlQueryTemplateDtoProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/query-templates/{templateId}/reinstateAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
templateId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
DcqlQueryTemplateDtoProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/query-templates/{templateId}/retireAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
templateId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
DcqlQueryTemplateDtoProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/tenants/{tenantId}/query-templates/{templateId}/revisionsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
templateId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
ReviseDcqlQueryTemplateRequestasapplication/*+json,application/json,text/json
Responses
DcqlQueryTemplateDtoProblemDetailsProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/oid4vc/transaction-code-policyAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
TransactionCodePolicyDtoProblemDetailsProblemDetails/api/v1/oid4vc/verifier-certificateAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Oid4VpVerifierCertificateDtoProblemDetailsProblemDetailsOpenId4VciProtocol
/.well-known/jwt-vc-issuer/oid4vci/{tenantId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
unspecifiedOid4VcProtocolErrorResponseOid4VcProtocolErrorResponse/.well-known/openid-credential-issuer/oid4vci/{tenantId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
CredentialIssuerMetadataDtoOid4VcProtocolErrorResponse/oid4vci/offers/{offerId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
offerId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
CredentialOfferDocument/oid4vci/status-lists/{statusListId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
statusListId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
stringOid4VcProtocolErrorResponseOid4VcProtocolErrorResponse/oid4vci/{tenantId}/credentialAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
CredentialRequestasapplication/*+json,application/json,text/json
Responses
CredentialIssuanceResponse/oid4vci/{tenantId}/nonceAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
NonceResponse/oid4vci/{tenantId}/notificationAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
CredentialNotificationRequestasapplication/*+json,application/json,text/json
Responses
/oid4vci/{tenantId}/reissueAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Idempotency-Key | header | string | no | — |
Request body
Not marked as required in the document.
Oid4VciReissuanceRequestasapplication/*+json,application/json,text/json
Responses
Oid4VciReissuanceResponse/oid4vci/{tenantId}/tokenAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
objectasapplication/x-www-form-urlencoded
Responses
Oid4VciTokenResponseOpenId4VpVerifier
/api/v1/oid4vp/jwksAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Oid4VcProtocolErrorResponse/api/v1/oid4vp/requests/{transactionId}/request-objectAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
transactionId | path | string | yes | — |
Request body
No request body.
Responses
ProblemDetails/api/v1/oid4vp/{tenantId}/requestsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
CreatePresentationRequestDtoasapplication/*+json,application/json,text/json
Responses
PresentationRequestDtoProblemDetailsOid4VcProtocolErrorResponse/api/v1/oid4vp/{tenantId}/requests/{transactionId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
transactionId | path | string | yes | — |
Request body
No request body.
Responses
PresentationResultDtoProblemDetails/api/v1/oid4vp/{tenantId}/response/{transactionId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenantId | path | string (uuid) | yes | — |
transactionId | path | string | yes | — |
Request body
Not marked as required in the document.
objectasapplication/x-www-form-urlencoded
Responses
ProblemDetailsOpenId4VpVerifierConsole
/api/v1/oid4vc/verifier-request-behaviourAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Oid4VpRequestBehaviourDtoProblemDetailsProblemDetails/api/v1/oid4vc/verifier-response-keysAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
Oid4VpResponseEncryptionKeysDtoProblemDetailsProblemDetailsPushedAuthorization
/connect/parAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
ProblemDetailsProblemDetailsRelyingPartyRegistry
/api/v1/relying-partiesAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
RegisterRelyingPartyRequestasapplication/*+json,application/json,text/json
Responses
RelyingPartyDtoProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/relying-parties/{organizationId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | path | string (uuid) | yes | — |
Request body
No request body.
Responses
RelyingPartyDtoProblemDetailsProblemDetailsProblemDetails/api/v1/relying-parties/{organizationId}/purposesAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
RelyingPartyPurposeRequestasapplication/*+json,application/json,text/json
Responses
RelyingPartyDtoProblemDetailsProblemDetailsProblemDetailsProblemDetails/api/v1/relying-parties/{organizationId}/terms-acceptancesAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organizationId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
RelyingPartyTermsAcceptanceRequestasapplication/*+json,application/json,text/json
Responses
RelyingPartyDtoProblemDetailsProblemDetailsProblemDetailsProblemDetailsScimProtocol
/api/v1/idp/scim/v2/IdentityBindingsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
filter | query | string | no | — |
count | query | integer (int32) | no | — |
Request body
No request body.
Responses
ScimIdentityBindingListResponseScimErrorResponse/api/v1/idp/scim/v2/IdentityBindingsAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
ScimIdentityBindingCreateRequestasapplication/*+json,application/json,text/json
Responses
ScimIdentityBindingResourceScimErrorResponseScimErrorResponse/api/v1/idp/scim/v2/IdentityBindings/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
ScimIdentityBindingResourceScimErrorResponse/api/v1/idp/scim/v2/IdentityBindings/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
No request body.
Responses
ScimErrorResponse/api/v1/idp/scim/v2/IdentityBindings/{id}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
ScimPatchRequestasapplication/*+json,application/json,text/json
Responses
ScimIdentityBindingResourceScimErrorResponseScimErrorResponse/api/v1/idp/scim/v2/ResourceTypesAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
ScimResourceType[]/api/v1/idp/scim/v2/ServiceProviderConfigAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
ScimServiceProviderConfig/api/v1/idp/scim/v2/UsersAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
filter | query | string | no | — |
startIndex | query | integer (int32) | no | — |
count | query | integer (int32) | no | — |
Request body
No request body.
Responses
ScimUserScimListResponseScimErrorResponseScimErrorResponse/api/v1/idp/scim/v2/UsersAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
ScimUserasapplication/*+json,application/json,text/json
Responses
ScimUserScimErrorResponseScimErrorResponse/api/v1/idp/scim/v2/Users/{externalId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
externalId | path | string | yes | — |
Request body
No request body.
Responses
ScimUserScimErrorResponseScimErrorResponse/api/v1/idp/scim/v2/Users/{externalId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
externalId | path | string | yes | — |
Request body
No request body.
Responses
ScimErrorResponseScimErrorResponse/api/v1/idp/scim/v2/Users/{externalId}Authentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
externalId | path | string | yes | — |
Request body
Not marked as required in the document.
ScimPatchRequestasapplication/*+json,application/json,text/json
Responses
ScimErrorResponseScimErrorResponseToken
/connect/introspectAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
objectasapplication/x-www-form-urlencoded
Responses
TokenIntrospectionResponseProblemDetailsProblemDetails/connect/revokeAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
objectasapplication/x-www-form-urlencoded
Responses
ProblemDetailsProblemDetailsUserinfo
/connect/userinfoAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
/connect/userinfoAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
VcProofSchemeWithdrawal
/api/v1/credentials/proof-schemes/compact-json/dependentsAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
issuedBefore | query | string (date-time) | no | — |
Request body
No request body.
Responses
CompactProofDependentsDtoProblemDetailsProblemDetailsProblemDetailsWalletAttestations
/api/v1/oid4vc/wallet-attestationsAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
WalletAttestationBatchRequestasapplication/*+json,application/json,text/json
Responses
WalletAttestationBatchResponseProblemDetailsProblemDetails/api/v1/oid4vc/wallet-attestations/metadataAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
ProblemDetailsWalletProviderTrustAnchors
/api/v1/wallet-provider-trust-anchorsAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
WalletProviderTrustAnchorDto[]ProblemDetailsProblemDetails/api/v1/wallet-provider-trust-anchorsAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
RegisterWalletProviderTrustAnchorRequestasapplication/*+json,application/json,text/json
Responses
WalletProviderTrustAnchorDtoProblemDetailsProblemDetailsProblemDetails/api/v1/wallet-provider-trust-anchors/{anchorId}/keysAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
anchorId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
AddWalletProviderTrustAnchorKeyRequestasapplication/*+json,application/json,text/json
Responses
WalletProviderTrustAnchorDtoProblemDetailsProblemDetailsProblemDetails/api/v1/wallet-provider-trust-anchors/{anchorId}/revokeAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
anchorId | path | string (uuid) | yes | — |
Request body
Not marked as required in the document.
RevokeWalletProviderTrustAnchorRequestasapplication/*+json,application/json,text/json
Responses
WalletProviderTrustAnchorDtoProblemDetailsProblemDetailsProblemDetailsWellKnown
/.well-known/credentials/jwks.jsonAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
instanceId | query | string (uuid) | no | — |
Request body
No request body.
Responses
JwksDtoProblemDetailsProblemDetails/.well-known/did.jsonAuthentication:oauth2 (the document-wide requirement)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
instanceId | query | string (uuid) | no | — |
Request body
No request body.
Responses
DidDocumentDtoProblemDetailsWorkforceProvisioning
/api/v1/workforce/provisioning-statusAuthentication:oauth2 (the document-wide requirement)
Parameters
Takes no parameters.
Request body
No request body.
Responses
ProvisioningStatusDtoProblemDetailsSchemas
AccountLinkResult
| Property | Type | Required | Description |
|---|---|---|---|
confidence | integer (int32) | no | — |
errorMessage | string | null | no | — |
linkId | string (uuid) | null | no | — |
linkingAttributes | map<string, unspecified> | null | no | — |
requiresManualReview | boolean | no | — |
success | boolean | no | — |
AccreditationRecordDto
| Property | Type | Required | Description |
|---|---|---|---|
accreditationSchemeId | string | null | no | — |
asOf | string | null | no | — |
bodyId | string | null | no | — |
designatedRoutes | string[] | null | no | — |
registeredKeyIds | string[] | null | no | — |
status | string | null | no | — |
AccreditationStatusChangeRequest
| Property | Type | Required | Description |
|---|---|---|---|
reason | string | null | no | — |
AccreditBodyRequest
| Property | Type | Required | Description |
|---|---|---|---|
accreditationSchemeId | string | null | no | — |
bodyId | string | null | no | — |
bodyName | string | null | no | — |
designatedRoutes | string[] | null | no | — |
reason | string | null | no | — |
registeredKeyIds | string[] | null | no | — |
AccreditedIssuerDesignationDto
| Property | Type | Required | Description |
|---|---|---|---|
designatedAt | string (date-time) | no | — |
route | string | null | no | — |
withdrawnAt | string (date-time) | null | no | — |
AccreditedIssuerDto
| Property | Type | Required | Description |
|---|---|---|---|
accreditationSchemeId | string | null | no | — |
bodyId | string | null | no | — |
bodyName | string | null | no | — |
createdAt | string (date-time) | no | — |
designatedRoutes | string[] | null | no | — |
id | string (uuid) | no | — |
registeredKeyIds | string[] | null | no | — |
retiredKeys | AccreditedIssuerKeyDto[] | null | no | — |
status | string | null | no | — |
statusChangedAt | string (date-time) | no | — |
statusReason | string | null | no | — |
updatedAt | string (date-time) | null | no | — |
withdrawnRoutes | AccreditedIssuerDesignationDto[] | null | no | — |
AccreditedIssuerKeyDto
| Property | Type | Required | Description |
|---|---|---|---|
keyId | string | null | no | — |
registeredAt | string (date-time) | no | — |
retiredAt | string (date-time) | null | no | — |
retirementReason | string | null | no | — |
AddClientSecretRequest
| Property | Type | Required | Description |
|---|---|---|---|
description | string | null | no | — |
expiresInDays | integer (int32) | null | no | — |
AddWalletProviderTrustAnchorKeyRequest
| Property | Type | Required | Description |
|---|---|---|---|
keyId | string | null | no | — |
publicJwkJson | string | null | no | — |
AttestMappingsRequest
| Property | Type | Required | Description |
|---|---|---|---|
claimSetHash | string | null | no | — |
AttributeMappingDto
| Property | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | null | no | — |
required | boolean | no | — |
sourceAttribute | string | null | no | — |
targetAttribute | string | null | no | — |
transform | string | null | no | — |
BatchCredentialIssuanceDto
| Property | Type | Required | Description |
|---|---|---|---|
batch_size | integer (int32) | no | — |
BindableTenantDto
| Property | Type | Required | Description |
|---|---|---|---|
isPrimary | boolean | no | — |
name | string | null | no | — |
tenantId | string (uuid) | no | — |
BindIdpToTenantRequest
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string (uuid) | no | — |
BindingHealthDto
| Property | Type | Required | Description |
|---|---|---|---|
bindingsByState | map<string, integer (int32)> | null | no | — |
deadLetteredActionCount | integer (int32) | no | — |
oldestPendingDecidedAt | string (date-time) | null | no | — |
oldestSourceStaleSince | string (date-time) | null | no | — |
organizationId | string (uuid) | no | — |
pendingActionCount | integer (int32) | no | — |
policyGaps | PolicyGapDto[] | null | no | — |
sourceStaleCount | integer (int32) | no | — |
BoundAttributeDto
| Property | Type | Required | Description |
|---|---|---|---|
attributePath | string | null | no | — |
claimName | string | null | no | — |
ClientDto
| Property | Type | Required | Description |
|---|---|---|---|
accessTokenLifetime | integer (int32) | no | — |
allowOfflineAccess | boolean | no | — |
allowedGrantTypes | string[] | null | no | — |
allowedScopes | string[] | null | no | — |
clientId | string | null | no | — |
clientName | string | null | no | — |
clientType | string | null | no | — |
clientUri | string | null | no | — |
createdAt | string (date-time) | no | — |
description | string | null | no | — |
enabled | boolean | no | — |
id | string (uuid) | no | — |
isOid4VcClient | boolean | no | — |
logoUri | string | null | no | — |
oid4VcClassAssignedAt | string (date-time) | null | no | — |
postLogoutRedirectUris | string[] | null | no | — |
redirectUris | string[] | null | no | — |
refreshTokenLifetime | integer (int32) | no | — |
requireClientSecret | boolean | no | — |
requireConsent | boolean | no | — |
requirePkce | boolean | no | — |
tokenEndpointAuthMethod | string | null | no | — |
updatedAt | string (date-time) | no | — |
ClientSecretResponse
| Property | Type | Required | Description |
|---|---|---|---|
createdAt | string (date-time) | no | — |
description | string | null | no | — |
expiresAt | string (date-time) | null | no | — |
id | string (uuid) | no | — |
secretValue | string | null | no | — |
CompactProofDependentsDto
| Property | Type | Required | Description |
|---|---|---|---|
asOf | string (date-time) | no | — |
byType | CompactProofDependentTypeDto[] | null | no | — |
issuedBefore | string (date-time) | no | — |
latestExpiresAt | string (date-time) | null | no | — |
unlapsed | integer (int32) | no | — |
verdict | string | null | no | — |
withoutExpiry | integer (int32) | no | — |
CompactProofDependentTypeDto
| Property | Type | Required | Description |
|---|---|---|---|
credentialType | string | null | no | — |
earliestIssuedAt | string (date-time) | no | — |
latestExpiresAt | string (date-time) | null | no | — |
unlapsed | integer (int32) | no | — |
withoutExpiry | integer (int32) | no | — |
ConsentDto
| Property | Type | Required | Description |
|---|---|---|---|
clientId | string | null | no | — |
clientName | string | null | no | — |
consentType | string | null | no | — |
createdAt | string (date-time) | no | — |
expiresAt | string (date-time) | null | no | — |
id | string (uuid) | no | — |
isRevoked | boolean | no | — |
scopes | string[] | null | no | — |
updatedAt | string (date-time) | no | — |
userId | string (uuid) | no | — |
CreateClientRequest
| Property | Type | Required | Description |
|---|---|---|---|
accessTokenLifetime | integer (int32) | null | no | — |
allowedGrantTypes | string[] | null | no | — |
allowedScopes | string[] | null | no | — |
clientId | string | null | no | — |
clientName | string | null | no | — |
clientType | string | null | no | — |
clientUri | string | null | no | — |
description | string | null | no | — |
logoUri | string | null | no | — |
postLogoutRedirectUris | string[] | null | no | — |
redirectUris | string[] | null | no | — |
refreshTokenLifetime | integer (int32) | null | no | — |
relyingPartyOrganizationId | string (uuid) | null | no | — |
requireConsent | boolean | no | — |
requirePkce | boolean | no | — |
CreateDcqlQueryTemplateRequest
| Property | Type | Required | Description |
|---|---|---|---|
changeNote | string | null | no | — |
dcqlJson | string | null | no | — |
displayName | string | null | no | — |
origin | string | null | no | — |
purpose | string | null | no | — |
templateId | string | null | no | — |
CreateIdpConnectionRequest
| Property | Type | Required | Description |
|---|---|---|---|
attributeMappings | AttributeMappingDto[] | null | no | — |
configuration | string | null | no | — |
connectorType | string | null | no | — |
description | string | null | no | — |
enabled | boolean | no | — |
name | string | null | no | — |
CreateMaterialChangePolicyRequestDto
| Property | Type | Required | Description |
|---|---|---|---|
credentialType | string | null | no | — |
entries | PolicyEntryDto[] | null | no | — |
previewToken | string | null | no | — |
reissueWindow | string | null | no | — |
CreateNominatedWatchRequest
| Property | Type | Required | Description |
|---|---|---|---|
credentialType | string | null | no | — |
expiresAt | string (date-time) | null | no | — |
purpose | string | null | no | — |
relyingOrganizationId | string (uuid) | null | no | — |
subjectUserId | string (uuid) | null | no | — |
CreateOid4VcCredentialConfigurationRequest
| Property | Type | Required | Description |
|---|---|---|---|
batchSize | integer (int32) | null | no | — |
configurationId | string | null | no | — |
credentialTypeIdentifier | string | null | no | — |
display | Oid4VcCredentialDisplayDto[] | null | no | — |
format | string | null | no | — |
issuanceCeilingInstances | integer (int32) | null | no | — |
issuanceCeilingWindowHours | integer (int32) | null | no | — |
supportsHolderInitiatedRevocation | boolean | no | — |
supportsReissuance | boolean | no | — |
CreatePresentationRequestDto
| Property | Type | Required | Description |
|---|---|---|---|
dcql_query | unspecified | no | — |
purpose | string | null | no | — |
CredentialBatchPoolDto
| Property | Type | Required | Description |
|---|---|---|---|
credentialConfigurationId | string (uuid) | no | — |
instanceCount | integer (int32) | no | — |
isRevoked | boolean | no | — |
poolId | string (uuid) | no | — |
revokedAt | string (date-time) | null | no | — |
subjectLinkageErased | boolean | no | — |
validInstanceCount | integer (int32) | no | — |
CredentialBatchPoolDtoCursorResult
| Property | Type | Required | Description |
|---|---|---|---|
hasMore | boolean | no | — |
items | CredentialBatchPoolDto[] | null | no | — |
nextCursor | string | null | no | — |
pageSize | integer (int32) | no | — |
previousCursor | string | null | no | — |
CredentialClaimDescriptionDto
| Property | Type | Required | Description |
|---|---|---|---|
mandatory | boolean | no | — |
path | string[] | null | no | — |
CredentialConfigurationMetadataDto
| Property | Type | Required | Description |
|---|---|---|---|
batch_credential_issuance | BatchCredentialIssuanceDto | no | — |
claims | CredentialClaimDescriptionDto[] | null | no | — |
credential_signing_alg_values_supported | string[] | null | no | — |
cryptographic_binding_methods_supported | string[] | null | no | — |
display | CredentialDisplayDto[] | null | no | — |
format | string | null | no | — |
holder_initiated_revocation_supported | boolean | no | — |
reissuance | ReissuanceAdvertisementDto | no | — |
reissuance_supported | boolean | no | — |
vct | string | null | no | — |
CredentialDisplayDto
| Property | Type | Required | Description |
|---|---|---|---|
locale | string | null | no | — |
name | string | null | no | — |
CredentialIssuanceResponse
| Property | Type | Required | Description |
|---|---|---|---|
credentials | IssuedCredentialEnvelope[] | null | no | — |
notification_id | string | null | no | — |
CredentialIssuerMetadataDto
| Property | Type | Required | Description |
|---|---|---|---|
authorization_servers | string[] | null | no | — |
credential_configurations_supported | map<string, CredentialConfigurationMetadataDto> | null | no | — |
credential_endpoint | string | null | no | — |
credential_issuer | string | null | no | — |
deferred_credential_endpoint | string | null | no | — |
nonce_endpoint | string | null | no | — |
notification_endpoint | string | null | no | — |
CredentialNotificationRequest
| Property | Type | Required | Description |
|---|---|---|---|
event | string | null | no | — |
event_description | string | null | no | — |
notification_id | string | null | no | — |
CredentialOfferDocument
| Property | Type | Required | Description |
|---|---|---|---|
credential_configuration_ids | string[] | null | no | — |
credential_issuer | string | null | no | — |
grants | CredentialOfferGrants | no | — |
CredentialOfferGrants
| Property | Type | Required | Description |
|---|---|---|---|
urn:ietf:params:oauth:grant-type:pre-authorized_code | PreAuthorizedCodeGrant | no | — |
CredentialRequest
| Property | Type | Required | Description |
|---|---|---|---|
credential_configuration_id | string | null | no | — |
proofs | CredentialRequestProofs | no | — |
CredentialRequestProof
| Property | Type | Required | Description |
|---|---|---|---|
jwt | string | null | no | — |
proof_type | string | null | no | — |
CredentialRequestProofs
| Property | Type | Required | Description |
|---|---|---|---|
jwt | string[] | null | no | — |
DcqlDisclosurePreviewDto
| Property | Type | Required | Description |
|---|---|---|---|
credentials | DcqlPreviewCredentialDto[] | null | no | — |
hasOverRequest | boolean | no | — |
warnings | DcqlPreviewWarningDto[] | null | no | — |
DcqlPreviewClaimDto
| Property | Type | Required | Description |
|---|---|---|---|
disclosedClaim | string | null | no | — |
disclosesMoreThanRequested | boolean | no | — |
requestedPaths | string[] | null | no | — |
valueConstrained | boolean | no | — |
DcqlPreviewCredentialDto
| Property | Type | Required | Description |
|---|---|---|---|
acceptedCredentialTypes | string[] | null | no | — |
disclosedClaims | DcqlPreviewClaimDto[] | null | no | — |
disclosesEveryClaim | boolean | no | — |
mayReturnMultiple | boolean | no | — |
purpose | string | null | no | — |
queryId | string | null | no | — |
requirement | string | null | no | — |
DcqlPreviewWarningDto
| Property | Type | Required | Description |
|---|---|---|---|
claimName | string | null | no | — |
code | string | null | no | — |
credentialQueryId | string | null | no | — |
message | string | null | no | — |
severity | string | null | no | — |
DcqlQueryPreviewResponse
| Property | Type | Required | Description |
|---|---|---|---|
error | string | null | no | — |
isValid | boolean | no | — |
preview | DcqlDisclosurePreviewDto | no | — |
DcqlQueryTemplateDto
| Property | Type | Required | Description |
|---|---|---|---|
activePreview | DcqlDisclosurePreviewDto | no | — |
activePreviewError | string | null | no | — |
activeVersionNumber | integer (int32) | no | — |
displayName | string | null | no | — |
id | string (uuid) | no | — |
isRetired | boolean | no | — |
retiredAt | string (date-time) | null | no | — |
templateId | string | null | no | — |
tenantId | string (uuid) | no | — |
versions | DcqlQueryTemplateVersionDto[] | null | no | — |
DcqlQueryTemplateVersionDto
| Property | Type | Required | Description |
|---|---|---|---|
changeNote | string | null | no | — |
createdAt | string (date-time) | no | — |
dcqlJson | string | null | no | — |
isActive | boolean | no | — |
origin | string | null | no | — |
purpose | string | null | no | — |
supersededAt | string (date-time) | null | no | — |
versionNumber | integer (int32) | no | — |
DesignateRouteRequest
| Property | Type | Required | Description |
|---|---|---|---|
route | string | null | no | — |
DidDocumentDto
| Property | Type | Required | Description |
|---|---|---|---|
@context | string[] | null | no | — |
assertionMethod | string[] | null | no | — |
authentication | string[] | null | no | — |
id | string | null | no | — |
verificationMethod | VerificationMethodDto[] | null | no | — |
DomainOwnershipChallengeDto
| Property | Type | Required | Description |
|---|---|---|---|
checkCount | integer (int32) | no | — |
clientId | string | null | no | — |
dnsTxtName | string | null | no | — |
dnsTxtValue | string | null | no | — |
domain | string | null | no | — |
expiresAt | string (date-time) | no | — |
id | string (uuid) | no | — |
lastCheckedAt | string (date-time) | null | no | — |
method | string | null | no | — |
proofExpiresAt | string (date-time) | null | no | — |
proofReference | string | null | no | — |
proofValid | boolean | no | — |
provenAt | string (date-time) | null | no | — |
revokedAt | string (date-time) | null | no | — |
revokedReason | string | null | no | — |
status | string | null | no | — |
DomainOwnershipProofDto
| Property | Type | Required | Description |
|---|---|---|---|
domain | string | null | no | — |
expiresAt | string (date-time) | no | — |
method | string | null | no | — |
provenAt | string (date-time) | no | — |
reference | string | null | no | — |
EnforcementPolicyDto
| Property | Type | Required | Description |
|---|---|---|---|
affectedMemberCount | integer (int32) | null | no | — |
allowedDomains | string[] | null | no | — |
breakGlassUserIds | string[] | null | no | — |
enforced | boolean | no | — |
enforcedAt | string (date-time) | null | no | — |
passwordFallback | string | null | no | — |
pilotGroup | string | null | no | — |
pilotGroupRemovedFromDirectoryAt | string (date-time) | null | no | — |
scope | string | null | no | — |
suspendedAt | string (date-time) | null | no | — |
EnforcementPolicyInput
| Property | Type | Required | Description |
|---|---|---|---|
allowedDomains | string[] | null | no | — |
breakGlassUserIds | string[] | null | no | — |
passwordFallback | string | null | no | — |
pilotGroup | string | null | no | — |
scope | string | null | no | — |
EnforceSsoRequest
| Property | Type | Required | Description |
|---|---|---|---|
acknowledged | boolean | no | — |
allowedDomains | string[] | null | no | — |
breakGlassUserIds | string[] | null | no | — |
passwordFallback | string | null | no | — |
pilotGroup | string | null | no | — |
scope | string | null | no | — |
GrantConsentRequest
| Property | Type | Required | Description |
|---|---|---|---|
clientId | string | null | no | — |
expirationDays | integer (int32) | null | no | — |
rememberConsent | boolean | no | — |
scopes | string[] | null | no | — |
userId | string (uuid) | no | — |
HaipConformanceClauseDto
| Property | Type | Required | Description |
|---|---|---|---|
evidence | string | null | no | — |
requirement | string | null | no | — |
satisfied | boolean | no | — |
scopedToClient | boolean | no | — |
title | string | null | no | — |
IdentityBindingDto
| Property | Type | Required | Description |
|---|---|---|---|
boundAttributes | BoundAttributeDto[] | null | no | — |
createdAt | string (date-time) | no | — |
credentialRef | string | null | no | — |
didRef | string | null | no | — |
enterpriseSubjectExternalId | string | null | no | — |
id | string (uuid) | no | — |
lifecycleState | string | null | no | — |
materialChangePolicyId | string (uuid) | null | no | — |
ordering | string | null | no | — |
organizationId | string (uuid) | no | — |
sourceLastSeenAt | string (date-time) | no | — |
sourceStaleSince | string (date-time) | null | no | — |
IdentityBindingDtoCursorResult
| Property | Type | Required | Description |
|---|---|---|---|
hasMore | boolean | no | — |
items | IdentityBindingDto[] | null | no | — |
nextCursor | string | null | no | — |
pageSize | integer (int32) | no | — |
previousCursor | string | null | no | — |
IdpConnectionDto
| Property | Type | Required | Description |
|---|---|---|---|
attributeMappings | AttributeMappingDto[] | null | no | — |
configuration | string | null | no | — |
connectorType | string | null | no | — |
createdAt | string (date-time) | no | — |
description | string | null | no | — |
directoryReturnWindowDays | integer (int32) | null | no | — |
enabled | boolean | no | — |
id | string (uuid) | no | — |
isDefault | boolean | no | — |
lastSyncCompletedAt | string (date-time) | null | no | — |
lastSyncStatus | string | null | no | — |
name | string | null | no | — |
nextSyncScheduledAt | string (date-time) | null | no | — |
signingCertificateExpiresAt | string (date-time) | null | no | — |
signingCertificateSubject | string | null | no | — |
syncFrequencyMinutes | integer (int32) | null | no | — |
updatedAt | string (date-time) | null | no | — |
IdpEntitlementDto
| Property | Type | Required | Description |
|---|---|---|---|
scimEntitled | boolean | no | — |
ssoEntitled | boolean | no | — |
tier | string | null | no | — |
upgradeUrl | string | null | no | — |
IdpTenantBindingDto
| Property | Type | Required | Description |
|---|---|---|---|
boundTenantId | string (uuid) | null | no | — |
boundTenantName | string | null | no | — |
connectionId | string (uuid) | no | — |
ImportPresentationExchangeRequest
| Property | Type | Required | Description |
|---|---|---|---|
changeNote | string | null | no | — |
displayName | string | null | no | — |
presentationDefinitionJson | string | null | no | — |
purpose | string | null | no | — |
templateId | string | null | no | — |
IssueCredentialRequest
| Property | Type | Required | Description |
|---|---|---|---|
credentialHash | string | null | no | — |
credentialSubject | map<string, unspecified> | null | no | — |
credentialType | string | null | no | — |
expiresAt | string (date-time) | null | no | — |
instanceId | string (uuid) | no | — |
subjectDid | string | null | no | — |
subjectUserId | string (uuid) | no | — |
vaultDocumentId | string (uuid) | null | no | — |
IssuedCredentialDto
| Property | Type | Required | Description |
|---|---|---|---|
credentialHash | string | null | no | — |
credentialJson | string | null | no | — |
credentialType | string | null | no | — |
expiresAt | string (date-time) | null | no | — |
id | string (uuid) | no | — |
isExpired | boolean | no | — |
isRevoked | boolean | no | — |
issuedAt | string (date-time) | no | — |
issuerId | string (uuid) | no | — |
notStoredReason | string | null | no | — |
revocationReason | string | null | no | — |
revokedAt | string (date-time) | null | no | — |
statusListIndex | integer (int32) | no | — |
storage | string | null | no | — |
subjectUserId | string (uuid) | no | — |
vaultDocumentId | string (uuid) | null | no | — |
IssuedCredentialDtoCursorResult
| Property | Type | Required | Description |
|---|---|---|---|
hasMore | boolean | no | — |
items | IssuedCredentialDto[] | null | no | — |
nextCursor | string | null | no | — |
pageSize | integer (int32) | no | — |
previousCursor | string | null | no | — |
IssuedCredentialEnvelope
| Property | Type | Required | Description |
|---|---|---|---|
credential | string | null | no | — |
JwksDto
| Property | Type | Required | Description |
|---|---|---|---|
keys | unspecified[] | null | no | — |
LifecycleActionDto
| Property | Type | Required | Description |
|---|---|---|---|
actionId | string (uuid) | no | — |
actor | string | null | no | — |
affectedClaimNames | string[] | null | no | — |
attempts | integer (int32) | no | — |
attributePath | string | null | no | — |
bindingId | string (uuid) | no | — |
decidedAt | string (date-time) | no | — |
executedAt | string (date-time) | null | no | — |
idempotencyKey | string | null | no | — |
lastErrorCode | string | null | no | — |
newDigest | string | null | no | — |
outcome | string | null | no | — |
policyVersion | string | null | no | — |
priorDigest | string | null | no | — |
provenance | string | null | no | — |
sequence | integer (int64) | no | — |
sourcePushRef | string | null | no | — |
status | string | null | no | — |
LifecycleActionDtoCursorResult
| Property | Type | Required | Description |
|---|---|---|---|
hasMore | boolean | no | — |
items | LifecycleActionDto[] | null | no | — |
nextCursor | string | null | no | — |
pageSize | integer (int32) | no | — |
previousCursor | string | null | no | — |
LinkAccountRequest
| Property | Type | Required | Description |
|---|---|---|---|
connectionId | string (uuid) | no | — |
externalUserId | string | null | yes | — |
linkType | string | null | no | — |
linkedBy | string (uuid) | null | no | — |
linkingAttributes | map<string, unspecified> | null | no | — |
manualConfidence | integer (int32) | null | no | — |
userId | string (uuid) | no | — |
LinkedAccountDto
| Property | Type | Required | Description |
|---|---|---|---|
confidence | integer (int32) | no | — |
connectionId | string (uuid) | no | — |
connectionName | string | null | no | — |
connectorType | string | null | no | — |
createdAt | string (date-time) | no | — |
directoryRemovedAt | string (date-time) | null | no | — |
externalUserId | string | null | no | — |
isVerified | boolean | no | — |
lastUsedAt | string (date-time) | null | no | — |
linkId | string (uuid) | no | — |
linkType | string | null | no | — |
linkingAttributes | map<string, unspecified> | null | no | — |
useCount | integer (int32) | no | — |
userId | string (uuid) | no | — |
verifiedAt | string (date-time) | null | no | — |
MappingAttestationDto
| Property | Type | Required | Description |
|---|---|---|---|
attested | boolean | no | — |
attestedAt | string (date-time) | null | no | — |
attestedBy | string | null | no | — |
attestedByName | string | null | no | — |
attestedClaimSetHash | string | null | no | — |
currentClaimSetHash | string | null | no | — |
MaterialChangePolicyDto
| Property | Type | Required | Description |
|---|---|---|---|
createdAt | string (date-time) | no | — |
credentialType | string | null | no | — |
entries | PolicyEntryDto[] | null | no | — |
id | string (uuid) | no | — |
organizationId | string (uuid) | no | — |
reissueWindow | string | null | no | — |
updatedAt | string (date-time) | null | no | — |
version | string | null | no | — |
MintCredentialOfferRequest
| Property | Type | Required | Description |
|---|---|---|---|
byReference | boolean | no | — |
credentialConfigurationId | string (uuid) | no | — |
lifetimeSeconds | integer (int32) | no | — |
requireTransactionCode | boolean | no | — |
subjectPseudonym | string | null | no | — |
transactionCodeDescription | string | null | no | — |
transactionCodeLength | integer (int32) | null | no | — |
MintCredentialOfferResponse
| Property | Type | Required | Description |
|---|---|---|---|
byReference | boolean | no | — |
expiresAt | string (date-time) | no | — |
offerId | string (uuid) | no | — |
preAuthorizedCode | string | null | no | — |
transactionCode | string | null | no | — |
transactionCodeEntropy | TransactionCodeEntropyDto | no | — |
NominatedCredentialWatchDto
| Property | Type | Required | Description |
|---|---|---|---|
createdAt | string (date-time) | no | — |
credentialType | string | null | no | — |
endReason | string | null | no | — |
expiresAt | string (date-time) | null | no | — |
id | string (uuid) | no | — |
lastNotifiedAt | string (date-time) | null | no | — |
lastNotifiedStatus | string | null | no | — |
permissionEndedAt | string (date-time) | null | no | — |
permissionGrantedAt | string (date-time) | null | no | — |
purpose | string | null | no | — |
relyingOrganizationId | string (uuid) | no | — |
status | string | null | no | — |
subjectHoldsWatchedCredential | boolean | null | no | — |
subjectUserId | string (uuid) | no | — |
NonceResponse
| Property | Type | Required | Description |
|---|---|---|---|
c_nonce | string | null | no | — |
Oid4VcClientPostureDto
| Property | Type | Required | Description |
|---|---|---|---|
clientId | string | null | no | — |
clientName | string | null | no | — |
clientType | string | null | no | — |
createdAt | string (date-time) | no | — |
enabled | boolean | no | — |
haipClauses | HaipConformanceClauseDto[] | null | no | — |
haipConformance | string | null | no | — |
id | string (uuid) | no | — |
isOid4VcClient | boolean | no | — |
oid4VcClassAssignedAt | string (date-time) | null | no | — |
requirePkce | boolean | no | — |
tokenEndpointAuthMethod | string | null | no | — |
Oid4VcClientPostureDtoPagedResult
| Property | Type | Required | Description |
|---|---|---|---|
hasNextPage | boolean | no | — |
hasPreviousPage | boolean | no | — |
items | Oid4VcClientPostureDto[] | null | no | — |
pageNumber | integer (int32) | no | — |
pageSize | integer (int32) | no | — |
totalCount | integer (int32) | no | — |
totalPages | integer (int32) | no | — |
Oid4VcCredentialConfigurationDto
| Property | Type | Required | Description |
|---|---|---|---|
batchSize | integer (int32) | no | — |
configurationId | string | null | no | — |
credentialTypeIdentifier | string | null | no | — |
display | Oid4VcCredentialDisplayDto[] | null | no | — |
format | string | null | no | — |
id | string (uuid) | no | — |
isPublished | boolean | no | — |
issuanceCeilingInstances | integer (int32) | no | — |
issuanceCeilingWindowHours | integer (int32) | no | — |
supportsHolderInitiatedRevocation | boolean | no | — |
supportsReissuance | boolean | no | — |
tenantId | string (uuid) | no | — |
Oid4VcCredentialDisplayDto
| Property | Type | Required | Description |
|---|---|---|---|
locale | string | null | no | — |
name | string | null | no | — |
Oid4VciAuthorizationDetail
| Property | Type | Required | Description |
|---|---|---|---|
credential_configuration_id | string | null | no | — |
type | string | null | no | — |
Oid4VciReissuanceRequest
| Property | Type | Required | Description |
|---|---|---|---|
credential_configuration_id | string | null | no | — |
prior_credential | string | null | no | — |
prior_key_proof | CredentialRequestProof | no | — |
proofs | CredentialRequestProofs | no | — |
Oid4VciReissuanceResponse
| Property | Type | Required | Description |
|---|---|---|---|
credentials | IssuedCredentialEnvelope[] | null | no | — |
Oid4VciTokenResponse
| Property | Type | Required | Description |
|---|---|---|---|
access_token | string | null | no | — |
authorization_details | Oid4VciAuthorizationDetail[] | null | no | — |
expires_in | integer (int32) | no | — |
token_type | string | null | no | — |
Oid4VcProtocolErrorResponse
| Property | Type | Required | Description |
|---|---|---|---|
c_nonce | string | null | no | — |
error | string | null | no | — |
error_description | string | null | no | — |
Oid4VcStatusListHealthDto
| Property | Type | Required | Description |
|---|---|---|---|
degradedIssuerCount | integer (int32) | no | — |
issuers | Oid4VcStatusListIssuerHealthDto[] | null | no | — |
issuersOmitted | integer (int32) | no | — |
observedAt | string (date-time) | no | — |
observedBy | string | null | no | — |
Oid4VcStatusListIssuerHealthDto
| Property | Type | Required | Description |
|---|---|---|---|
circuitOpenCount | integer (int32) | no | — |
circuitOpenedAt | string (date-time) | null | no | — |
circuitState | string | null | no | — |
concurrentFetchLimit | integer (int32) | no | — |
degraded | boolean | no | — |
issuerOrigin | string | null | no | — |
lastOutcome | string | null | no | — |
lastOutcomeAt | string (date-time) | null | no | — |
lastReason | string | null | no | — |
outcomes | map<string, integer (int64)> | null | no | — |
probeEligibleAt | string (date-time) | null | no | — |
Oid4VpRequestBehaviourDto
| Property | Type | Required | Description |
|---|---|---|---|
authorizationRequestScheme | string | null | no | — |
channels | Oid4VpRequestChannelDto[] | null | no | — |
clientId | string | null | no | — |
configured | boolean | no | — |
limitations | string[] | null | no | — |
requestLifetimeSeconds | integer (int32) | no | — |
requestObjectMediaType | string | null | no | — |
requestPassing | string | null | no | — |
responseMode | string | null | no | — |
Oid4VpRequestChannelDto
| Property | Type | Required | Description |
|---|---|---|---|
channel | string | null | no | — |
handsBack | boolean | no | — |
outcomeDelivery | string | null | no | — |
requestDelivery | string | null | no | — |
Oid4VpResponseEncryptionKeyDto
| Property | Type | Required | Description |
|---|---|---|---|
algorithm | string | null | no | — |
curve | string | null | no | — |
keyId | string | null | no | — |
role | string | null | no | — |
Oid4VpResponseEncryptionKeysDto
| Property | Type | Required | Description |
|---|---|---|---|
activeKeyId | string | null | no | — |
configured | boolean | no | — |
contentEncryptionAlgorithm | string | null | no | — |
keyManagementAlgorithm | string | null | no | — |
keys | Oid4VpResponseEncryptionKeyDto[] | null | no | — |
problems | string[] | null | no | — |
requestLifetimeSeconds | integer (int32) | no | — |
responseMode | string | null | no | — |
Oid4VpVerifierCertificateDto
| Property | Type | Required | Description |
|---|---|---|---|
canMintRequests | boolean | no | — |
clientId | string | null | no | — |
configured | boolean | no | — |
daysUntilExpiry | integer (int32) | no | — |
dnsNames | string[] | null | no | — |
expiringSoon | boolean | no | — |
hostCovered | boolean | no | — |
issuer | string | null | no | — |
notAfter | string (date-time) | null | no | — |
notBefore | string (date-time) | null | no | — |
refusalReasons | string[] | null | no | — |
responseHost | string | null | no | — |
subject | string | null | no | — |
thumbprint | string | null | no | — |
validity | string | null | no | — |
PolicyEntryDto
| Property | Type | Required | Description |
|---|---|---|---|
attributePath | string | null | no | — |
outcome | string | null | no | — |
PolicyGapDto
| Property | Type | Required | Description |
|---|---|---|---|
acknowledgedAt | string (date-time) | null | no | — |
acknowledgedBy | string | null | no | — |
attributePath | string | null | no | — |
bindingId | string (uuid) | no | — |
firstSeenAt | string (date-time) | no | — |
id | string (uuid) | no | — |
lastSeenAt | string (date-time) | no | — |
occurrenceCount | integer (int32) | no | — |
organizationId | string (uuid) | no | — |
PolicyPreviewLineDto
| Property | Type | Required | Description |
|---|---|---|---|
affectedClaimNames | string[] | null | no | — |
attributePath | string | null | no | — |
effect | string | null | no | — |
outcome | string | null | no | — |
supportedByCredentialType | boolean | no | — |
PolicyPreviewResultDto
| Property | Type | Required | Description |
|---|---|---|---|
credentialType | string | null | no | — |
lines | PolicyPreviewLineDto[] | null | no | — |
previewToken | string | null | no | — |
PreAuthorizedCodeGrant
| Property | Type | Required | Description |
|---|---|---|---|
pre-authorized_code | string | null | no | — |
tx_code | TransactionCodeMetadata | no | — |
PresentationCredentialOutcomeDto
| Property | Type | Required | Description |
|---|---|---|---|
claims | map<string, unspecified[]> | null | no | — |
id | string | null | no | — |
reason | string | null | no | — |
satisfied | boolean | no | — |
unsatisfiedClaims | string[] | null | no | — |
PresentationRequestDto
| Property | Type | Required | Description |
|---|---|---|---|
authorizationRequestUri | string | null | no | — |
clientId | string | null | no | — |
expiresAt | string (date-time) | no | — |
requestUri | string | null | no | — |
transactionId | string | null | no | — |
PresentationResultDto
| Property | Type | Required | Description |
|---|---|---|---|
completedAt | string (date-time) | null | no | — |
credentials | PresentationCredentialOutcomeDto[] | null | no | — |
expiresAt | string (date-time) | no | — |
reason | string | null | no | — |
status | string | null | no | — |
transactionId | string | null | no | — |
PreviewDcqlQueryRequest
| Property | Type | Required | Description |
|---|---|---|---|
dcqlJson | string | null | no | — |
purpose | string | null | no | — |
PreviewMaterialChangePolicyRequestDto
| Property | Type | Required | Description |
|---|---|---|---|
credentialType | string | null | no | — |
entries | PolicyEntryDto[] | null | no | — |
reissueWindow | string | null | no | — |
PrivacyDegradationEpisodeDto
| Property | Type | Required | Description |
|---|---|---|---|
cause | string | null | no | — |
credentialConfigurationId | string (uuid) | no | — |
credentialConfigurationIdentifier | string | null | no | — |
durationSeconds | integer (int64) | no | — |
id | string (uuid) | no | — |
lastRefusedAt | string (date-time) | no | — |
refusedAttemptCount | integer (int32) | no | — |
remedyRequirement | string | null | no | — |
startedAt | string (date-time) | no | — |
PrivacyDegradationExportDto
| Property | Type | Required | Description |
|---|---|---|---|
episodes | PrivacyDegradationEpisodeDto[] | null | no | — |
generatedAt | string (date-time) | no | — |
lapseIntervalHours | number (double) | no | — |
measure | string | null | no | — |
notMeasured | string | null | no | — |
requirement | string | null | no | — |
sinceUtc | string (date-time) | null | no | — |
tenantId | string (uuid) | no | — |
PrivacyDegradationRegisterDto
| Property | Type | Required | Description |
|---|---|---|---|
episodes | PrivacyDegradationEpisodeDto[] | null | no | — |
generatedAt | string (date-time) | no | — |
lapseIntervalHours | number (double) | no | — |
measure | string | null | no | — |
sinceUtc | string (date-time) | null | no | — |
tenantId | string (uuid) | no | — |
ProblemDetails
| Property | Type | Required | Description |
|---|---|---|---|
detail | string | null | no | — |
instance | string | null | no | — |
status | integer (int32) | null | no | — |
title | string | null | no | — |
type | string | null | no | — |
ProvisioningStatusDto
| Property | Type | Required | Description |
|---|---|---|---|
adminContactEmail | string | null | no | — |
idpName | string | null | no | — |
organizationName | string | null | no | — |
state | string | null | no | — |
subjectEmailMasked | string | null | no | — |
workspaceUrl | string | null | no | — |
RaiseIssuanceCeilingOutcomeDto
| Property | Type | Required | Description |
|---|---|---|---|
credentialConfigurationId | string (uuid) | no | — |
credentialConfigurationIdentifier | string | null | no | — |
detail | string | null | no | — |
previousCeilingInstances | integer (int32) | null | no | — |
raised | boolean | no | — |
RaiseIssuanceCeilingsRequest
| Property | Type | Required | Description |
|---|---|---|---|
credentialConfigurationIds | (string (uuid))[] | null | no | — |
issuanceCeilingInstances | integer (int32) | no | — |
RaiseIssuanceCeilingsResponse
| Property | Type | Required | Description |
|---|---|---|---|
issuanceCeilingInstances | integer (int32) | no | — |
outcomes | RaiseIssuanceCeilingOutcomeDto[] | null | no | — |
raisedCount | integer (int32) | no | — |
RecordCredentialVaultDocumentRequest
| Property | Type | Required | Description |
|---|---|---|---|
vaultDocumentId | string (uuid) | no | — |
RegisterIssuerKeyRequest
| Property | Type | Required | Description |
|---|---|---|---|
keyId | string | null | no | — |
RegisterRelyingPartyRequest
| Property | Type | Required | Description |
|---|---|---|---|
legalName | string | null | no | — |
organizationId | string (uuid) | no | — |
purposes | RelyingPartyPurposeRequest[] | null | no | — |
termsAcceptance | RelyingPartyTermsAcceptanceRequest | no | — |
RegisterWalletProviderTrustAnchorRequest
| Property | Type | Required | Description |
|---|---|---|---|
displayName | string | null | no | — |
keyId | string | null | no | — |
notAfter | string (date-time) | null | no | — |
notBefore | string (date-time) | null | no | — |
providerIdentifier | string | null | no | — |
publicJwkJson | string | null | no | — |
ReinstateBindingRequestDto
| Property | Type | Required | Description |
|---|---|---|---|
reasonToken | string | null | no | — |
ReissuanceAdvertisementDto
| Property | Type | Required | Description |
|---|---|---|---|
endpoint | string | null | no | — |
mechanism | string | null | no | — |
supported | boolean | no | — |
RelyingPartyDto
| Property | Type | Required | Description |
|---|---|---|---|
clientIds | string[] | null | no | — |
currentTermsVersions | string[] | null | no | — |
hasAcceptedCurrentTerms | boolean | no | — |
id | string (uuid) | no | — |
legalName | string | null | no | — |
organizationId | string (uuid) | no | — |
purposes | RelyingPartyPurposeDto[] | null | no | — |
termsAcceptances | RelyingPartyTermsAcceptanceDto[] | null | no | — |
RelyingPartyPurposeDto
| Property | Type | Required | Description |
|---|---|---|---|
code | string | null | no | — |
declaredAt | string (date-time) | no | — |
declaredBy | string | null | no | — |
description | string | null | no | — |
id | string (uuid) | no | — |
lawfulBasis | string | null | no | — |
RelyingPartyPurposeRequest
| Property | Type | Required | Description |
|---|---|---|---|
code | string | null | no | — |
description | string | null | no | — |
lawfulBasis | string | null | no | — |
RelyingPartyTermsAcceptanceDto
| Property | Type | Required | Description |
|---|---|---|---|
acceptedAt | string (date-time) | no | — |
acceptedByName | string | null | no | — |
acceptedByRole | string | null | no | — |
id | string (uuid) | no | — |
organizationId | string (uuid) | no | — |
recordedAt | string (date-time) | no | — |
recordedBy | string | null | no | — |
termsVersion | string | null | no | — |
RelyingPartyTermsAcceptanceRequest
| Property | Type | Required | Description |
|---|---|---|---|
acceptedAt | string (date-time) | null | no | — |
acceptedByName | string | null | no | — |
acceptedByRole | string | null | no | — |
termsVersion | string | null | no | — |
RenameDcqlQueryTemplateRequest
| Property | Type | Required | Description |
|---|---|---|---|
displayName | string | null | no | — |
RetireIssuerKeyRequest
| Property | Type | Required | Description |
|---|---|---|---|
reason | string | null | no | — |
ReviseDcqlQueryTemplateRequest
| Property | Type | Required | Description |
|---|---|---|---|
changeNote | string | null | no | — |
dcqlJson | string | null | no | — |
origin | string | null | no | — |
purpose | string | null | no | — |
RevokeCredentialPoolRequest
| Property | Type | Required | Description |
|---|---|---|---|
reason | string | null | no | — |
RevokeCredentialRequest
| Property | Type | Required | Description |
|---|---|---|---|
reason | string | null | no | — |
RevokeDomainOwnershipRequest
| Property | Type | Required | Description |
|---|---|---|---|
reason | string | null | no | — |
RevokeWalletProviderTrustAnchorRequest
| Property | Type | Required | Description |
|---|---|---|---|
keyId | string | null | no | — |
reason | string | null | no | — |
RotateIssuerKeyRequest
| Property | Type | Required | Description |
|---|---|---|---|
incomingKeyId | string | null | no | — |
outgoingKeyId | string | null | no | — |
reason | string | null | no | — |
RotateVcIssuerKeyRequest
| Property | Type | Required | Description |
|---|---|---|---|
expectedThumbprint | string | null | no | — |
ScimAddress
| Property | Type | Required | Description |
|---|---|---|---|
country | string | null | no | — |
formatted | string | null | no | — |
locality | string | null | no | — |
postalCode | string | null | no | — |
primary | boolean | no | — |
region | string | null | no | — |
streetAddress | string | null | no | — |
type | string | null | no | — |
ScimAuthenticationScheme
| Property | Type | Required | Description |
|---|---|---|---|
description | string | null | yes | — |
documentationUri | string | null | no | — |
name | string | null | yes | — |
specUri | string | null | no | — |
type | string | null | yes | — |
ScimBoundAttributeWire
| Property | Type | Required | Description |
|---|---|---|---|
attributePath | string | null | no | — |
claimName | string | null | no | — |
ScimBulkConfig
| Property | Type | Required | Description |
|---|---|---|---|
maxOperations | integer (int32) | no | — |
maxPayloadSize | integer (int32) | no | — |
supported | boolean | no | — |
ScimConfigDto
| Property | Type | Required | Description |
|---|---|---|---|
autoDeprovision | boolean | no | — |
autoProvision | boolean | no | — |
baseUrl | string | null | no | — |
connectionStatus | string | null | no | — |
enabled | boolean | no | — |
lastSyncAt | string (date-time) | null | no | — |
lawfulBasis | string | null | no | — |
lawfulBasisAcknowledgedAt | string (date-time) | null | no | — |
lawfulBasisAcknowledgedBy | string | null | no | — |
provisionedAttributes | string[] | null | no | — |
tokenLastFour | string | null | no | — |
tokenLastIssuedAt | string (date-time) | null | no | — |
ScimConfigInputDto
| Property | Type | Required | Description |
|---|---|---|---|
autoDeprovision | boolean | no | — |
autoProvision | boolean | no | — |
enabled | boolean | no | — |
lawfulBasis | string | null | no | — |
lawfulBasisAcknowledged | boolean | no | — |
ScimEmail
| Property | Type | Required | Description |
|---|---|---|---|
primary | boolean | no | — |
type | string | null | no | — |
value | string | null | yes | — |
ScimEnterpriseSubjectRefWire
| Property | Type | Required | Description |
|---|---|---|---|
externalId | string | null | no | — |
organizationId | string (uuid) | no | — |
ScimEnterpriseUser
| Property | Type | Required | Description |
|---|---|---|---|
costCenter | string | null | no | — |
department | string | null | no | — |
division | string | null | no | — |
employeeNumber | string | null | no | — |
manager | ScimManager | no | — |
organization | string | null | no | — |
ScimEntitlement
| Property | Type | Required | Description |
|---|---|---|---|
primary | boolean | no | — |
type | string | null | no | — |
value | string | null | yes | — |
ScimErrorResponse
| Property | Type | Required | Description |
|---|---|---|---|
detail | string | null | no | — |
schemas | string[] | null | no | — |
scimType | string | null | no | — |
status | integer (int32) | yes | — |
ScimFeatureConfig
| Property | Type | Required | Description |
|---|---|---|---|
supported | boolean | no | — |
ScimFilterConfig
| Property | Type | Required | Description |
|---|---|---|---|
maxResults | integer (int32) | no | — |
supported | boolean | no | — |
ScimGroupReference
| Property | Type | Required | Description |
|---|---|---|---|
$ref | string | null | no | — |
display | string | null | no | — |
type | string | null | no | — |
value | string | null | yes | — |
ScimIdentityBindingCreateRequest
| Property | Type | Required | Description |
|---|---|---|---|
boundSourceAttributes | ScimBoundAttributeWire[] | null | no | — |
credentialRef | string | null | no | — |
didRef | string | null | no | — |
externalId | string | null | no | — |
materialChangePolicyRef | string | null | no | — |
schemas | string[] | null | no | — |
ScimIdentityBindingDeleteResponse
| Property | Type | Required | Description |
|---|---|---|---|
detail | string | null | no | — |
id | string | null | no | — |
ScimIdentityBindingListResponse
| Property | Type | Required | Description |
|---|---|---|---|
Resources | ScimIdentityBindingResource[] | null | no | — |
itemsPerPage | integer (int32) | no | — |
schemas | string[] | null | no | — |
startIndex | integer (int32) | no | — |
totalResults | integer (int32) | no | — |
ScimIdentityBindingMetaWire
| Property | Type | Required | Description |
|---|---|---|---|
created | string (date-time) | no | — |
lastModified | string (date-time) | no | — |
resourceType | string | null | no | — |
ScimIdentityBindingResource
| Property | Type | Required | Description |
|---|---|---|---|
boundSourceAttributes | ScimBoundAttributeWire[] | null | no | — |
credentialRef | string | null | no | — |
didRef | string | null | no | — |
enterpriseSubjectRef | ScimEnterpriseSubjectRefWire | no | — |
id | string | null | no | — |
lifecycleState | string | null | no | — |
materialChangePolicyRef | string | null | no | — |
meta | ScimIdentityBindingMetaWire | no | — |
schemas | string[] | null | no | — |
ScimIm
| Property | Type | Required | Description |
|---|---|---|---|
primary | boolean | no | — |
type | string | null | no | — |
value | string | null | yes | — |
ScimManager
| Property | Type | Required | Description |
|---|---|---|---|
$ref | string | null | no | — |
displayName | string | null | no | — |
value | string | null | no | — |
ScimMeta
| Property | Type | Required | Description |
|---|---|---|---|
created | string (date-time) | null | no | — |
lastModified | string (date-time) | null | no | — |
location | string | null | no | — |
resourceType | string | null | no | — |
version | string | null | no | — |
ScimName
| Property | Type | Required | Description |
|---|---|---|---|
familyName | string | null | no | — |
formatted | string | null | no | — |
givenName | string | null | no | — |
honorificPrefix | string | null | no | — |
honorificSuffix | string | null | no | — |
middleName | string | null | no | — |
ScimPatchOperation
| Property | Type | Required | Description |
[...]
